<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <meta name="robots" content="noindex">
    <title>веб1 Васильева Д.Ю. 21/2 гр</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <header class="header content">
        <div class="header__logo">
            <img src="header__logo.jpg" alt="лого сайта">
        </div>
        <div class="header__inner">
            .garden
        </div>
    </header>
    <nav class="nav">
        <div class="content">
            <ul class="nav__ul">
                <li><a href="#main">Главная</a></li>
                <li><a href="#form">Форма</a></li>
                <li><a href="#footer">Подвал</a></li>
            </ul>
        </div>
    </nav>
    <div class="link">
        <div class="content">
            <h1>Задание 1 по Web-программированию</h1>
            <div id="main">
                <ol>
                    <li>Главная страница сайта <a href="http://example.com/" target="_blank"> example.com</a></li>
                    <li>Сайт <a href="https://example.com/" target="_blank"> example.com</a> в протоколе https </li>
                    <li>Файл на сервере FTP <a href="ftp://example.com/temp/file.txt/" target="_blank"> без авторизации </a></li>
                    <li>Файл на сервере FTP <a href="ftp://login:password@example.com/temp/file.txt/" target="_blank"> с
              авторизацией</a></li>
                    <li>Фрагмент страницы <a href="https://sibac.info/blog/struktura-nauchnoy-stati#results" target="_blank">некоторого сайта</a></li>
                    <li>Переместиться в самый <a href="#footer"> низ</a> текущей страницы
                        <li>Ссылка с двумя <a href="https://aliexpress.ru/item/4001030174829.html?spm=a2g0o.detail.1000023.6.7dd26109xhV8go&_ga=2.3505715.2096573849.1599408219-1576289699.1599408219" target="_blank">параметрами</a> в URL</li>
                        <li><strong>Cписок ссылок основной навигации сайта:</strong>
                            <nav>
                                <ul>
                                    <li><a href="#form">Главная сайта</a></li>
                                    <li><a href="https://vk.com/dthsxrd" target="_blank">Контакты разработчика</a></li>
                                    <li><a href="https://www.youtube.com/watch?v=dQw4w9WgXcQ" target="_blank">Рик Эстли</a></li>
                                    <li><a href="#footer">Подвал сайта</a></li>
                                </ul>
                            </nav>
                        </li>
                        <li>Ссылка без <a> href</a> </li>
                        <li>Ссылка с пустым <a href="">href</a> </li>
                        <li>Ссылка, по которой запрещён переход <a href="https://gitlab.com/" rel="nofollow" target="_blank">поисковикам</a> </li>
                        <li>
                            <!--noindex-->Ссылка, запрещенная для индексации <a href="https://qiwi.com/" target="_blank">поисковиками</a>
                            <!--/noindex-->
                        </li>
                        <li> Контекстная ссылка в тексте абзаца.
                            <p><strong>Martin Luther King, Jr.</strong></p>
                            <p>I Have a Dream</p>
                            <p> I am happy to join with you today in what will go down in history as the greatest demonstration for freedom in the history of our nation.<br>Five score years ago, a <a href="https://en.wikipedia.org/wiki/Abraham_Lincoln" title="Abraham Lincoln"> great American</a>,
                                in whose symbolic shadow we stand today, signed the <a href="https://www.archives.gov/exhibits/featured-documents/emancipation-proclamation" title="Emancipation Proclamation"> Emancipation Proclamation</a>.<br> This momentous
                                decree came as a great beacon light of hope to millions of Negro slaves who had been seared in the flames of withering injustice.
                                <br> It came as a joyous daybreak to end the long night of their captivity.</p>
                            <p>But one hundred years later, the Negro still is not free.<br> One hundred years later, the life of the Negro is still sadly crippled by the manacles of segregation and the chains of discrimination.<br> One hundred years later,
                                the Negro lives on a lonely island of poverty in the midst of a vast ocean of material prosperity.
                                <br> One hundred years later, the Negro is still languished in the corners of American society and finds himself an exile in his own land.<br> And so we've come here today to dramatize a shameful condition.</p>
                        </li>

                        <li>
                            <p>Изображение в качестве ссылки </p>
                            <p>
                                <a href="https://ru.wikipedia.org/wiki/%D0%9C%D0%BE%D1%80%D0%B3%D0%B5%D0%BD%D1%88%D1%82%D0%B5%D1%80%D0%BD_(%D0%BC%D1%83%D0%B7%D1%8B%D0%BA%D0%B0%D0%BD%D1%82)"><img src="https://upload.wikimedia.org/wikipedia/commons/a/a5/%E0%B4%95%E0%B5%88%E0%B4%A4%E0%B4%AF%E0%B5%81%E0%B4%82_%E0%B4%9A%E0%B4%95%E0%B5%8D%E0%B4%95%E0%B4%AF%E0%B5%81%E0%B4%82.jpg" width="400" height="400" alt="rap"
                                        title="Рэп"></a>
                            </p>
                        </li>
                        <li>
                            <p>Ссылки из областей картинки: </p>
                            <p><img src="https://yugtimes.com/upload/resize_cache/iblock/0cf/700_450_1/0cf6e063c125a0b4b0ca13e942be8150.jpg" usemap="#image-map" alt="">
                                <map name="image-map">
                <area target="_blank" alt="Карасунское озеро" title="Карасунское озеро"
                  href="https://ru.wikipedia.org/wiki/%D0%9A%D0%B0%D1%80%D0%B0%D1%81%D1%83%D0%BD" coords="1,153,698,349"
                  shape="rect">
                <area target="_blank" alt="Жильё Краснодар" title="Жильё Краснодар"
                  href="https://www.yuga-build.ru/krasnodar/rmz/zhk-chistye-prudy" coords="266,107,92" shape="circle">
                <area target="_blank" alt="Краснодар жильё" title="Краснодар жильё"
                  href="https://krasnodar.vestum.ru/%D0%BD%D0%BE%D0%B2%D0%BE%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B8/%D1%87%D0%B8%D1%81%D1%82%D1%8B%D0%B5-%D0%BF%D1%80%D1%83%D0%B4%D1%8B/"
                  coords="82,109,60" shape="circle">
                <area target="_blank" alt="Краснодарский cry" title="Краснодарский cry"
                  href="https://tonkosti.ru/%D0%9A%D1%80%D0%B0%D1%81%D0%BD%D0%BE%D0%B4%D0%B0%D1%80%D1%81%D0%BA%D0%B8%D0%B9_%D0%BA%D1%80%D0%B0%D0%B9"
                  coords="350,0,698,155" shape="rect"></map>
                        </li>
                        <li>Относительная <a href="exampage.html">ссылка</a> на страницу в текущем каталоге</li>
                        <li>Относительная <a href="about/exampage.html">ссылка</a> в каталоге about</li>
                        <li>Относительная <a href="../exampage.html">ссылка</a> на страницу в каталоге уровнем выше текущего</li>
                        <li>Относительная <a href="../../exampage.html">ссылка</a> на страницу в каталоге двумя уровнями выше</li>
                        <li>Сокращенная <a href="/">ссылка</a> на главную</li>
                        <li>Сокращенная <a href="/about/exampage.html">ссылка</a> на внутреннюю</li>
                </ol>
            </div>
        </div>
    </div>
    <div class="content">
        <table>
            <caption>
                <h3>Таблица размеров обуви</h3>
            </caption>
            <tr>
                <th>Россия</th>
                <th>Великобритания</th>
                <th>Европа</th>
                <th>Длина ступни, см</th>
            </tr>
            <tr>
                <td colspan="2">34,5</td>
                <td>3,5</td>
                <td>36</td>
            </tr>
            <tr>
                <td>35,5</td>
                <td>4</td>
                <td>36⅔</td>
                <td>23–23,5</td>
            </tr>
            <tr>
                <td rowspan="2">36</td>
                <td>4,5</td>
                <td>37⅓</td>
                <td>23,5</td>
            </tr>
            <tr>
                <td>5</td>
                <td>38</td>
                <td>24</td>
            </tr>
            <tr>
                <td>37</td>
                <td>5,5</td>
                <td>38⅔</td>
                <td>24,5</td>
            </tr>
            <tr>
                <td>38</td>
                <td>6</td>
                <td>39⅓</td>
                <td>25</td>
            </tr>
            <tr>
                <td>38,5</td>
                <td>6,5</td>
                <td>40</td>
                <td>25,5</td>
            </tr>
            <tr>
                <td>39</td>
                <td>7</td>
                <td>40⅔</td>
                <td>25,5–26</td>
            </tr>
            <tr>
                <td>40</td>
                <td>7,5</td>
                <td>41⅓</td>
                <td>26</td>
            </tr>
            <tr>
                <td>40,5</td>
                <td>8</td>
                <td>42</td>
                <td>26,5</td>
            </tr>
            <tr>
                <td>41</td>
                <td>8,5</td>
                <td>42⅔</td>
                <td>27</td>
            </tr>
            <tr>
                <td>42</td>
                <td>9</td>
                <td>43⅓</td>
                <td>27,5</td>
            </tr>
            <tr>
                <td>43</td>
                <td>9,5</td>
                <td>44</td>
                <td>28</td>
            </tr>
            <tr>
                <td>43,5</td>
                <td>10</td>
                <td>44⅔</td>
                <td>28–28,5</td>
            </tr>
            <tr>
                <td>44</td>
                <td>10,5</td>
                <td>45⅓</td>
                <td>28,5–29</td>
            </tr>
            <tr>
                <td>44,5</td>
                <td>11</td>
                <td>46</td>
                <td>29</td>
            </tr>
            <tr>
                <td>45</td>
                <td>11,5</td>
                <td>46⅔</td>
                <td>29,5</td>
            </tr>
            <tr>
                <td>46</td>
                <td>12</td>
                <td>47⅓</td>
                <td>30</td>
            </tr>
            <tr>
                <td>46,5</td>
                <td>12,5</td>
                <td>48</td>
                <td>30,5</td>
            </tr>
            <tr>
                <td>47</td>
                <td>13</td>
                <td>48⅔</td>
                <td>31</td>
            </tr>
            <tr>
                <td>48</td>
                <td>13,5</td>
                <td>49⅓</td>
                <td>31,5</td>
            </tr>
        </table>
    </div>
    <div id="form">
        <div class="content">
            <h2>Форма</h2>
            <form action="/" method="post">
                <p>Введите ваше имя:<br>
                    <label> <input name="text"></label></p>

                <p> Введите электронную почту:<br>
                    <label><input name="email" value="example@mail.ru"
              onfocus="if (this.value == 'example@mail.ru') {this.value = '';}"
              onblur="if (this.value == '') {this.value = 'example@mail.ru';}"></label></p>

                <p>
                    <!-- Валидатор выдаёт warning. Скорее всего это можно решить написанием java-скрипта, но я пока не умею это делать-->
                    <label for="date">Дата рождения: </label><br>
                    <input type="date" id="date" name="field-date">
                </p>
                <!--Можно написать: <p> Введите дату рождения:<br>
          <label><input name="date" value="24.10.2001" onfocus="if (this.value == '24.10.2001') {this.value = '';}" onblur="if (this.value == '') {this.value = '24.10.2001';}"></label></p>-->

                <p>Выберите Ваш пол:<br>
                    <input name="gender" type="radio" value="male"> Мужской<br>
                    <input name="gender" type="radio" value="female"> Женский</p>

                <p>Количество конечностей:</p>
                <p><input name="limb" type="radio" value="0">0
                    <input name="limb" type="radio" value="1">1
                    <input name="limb" type="radio" value="1">2</p>
                <p><input name="limb" type="radio" value="3">3
                    <input name="limb" type="radio" value="4">4
                    <input name="limb" type="radio" value="spaider">более</p>

                <p>Сверхспособности:<br>
                    <select name="select" size="4" multiple>
            <option value="supower1">Чтение мыслей</option>
            <option value="supower2">Бессмертие</option>
            <option value="supower3">Прохождение сквозь стены</option>
            <option value="supower4">Левитация</option>
            <option value="supower5">Хорошо себя чувствовать после 5 пар</option>
            <option value="supower6">Успевать на учёбу к 8 утра</option>
            <option value="megasupower">Сдать дискретку с 1-го раза</option>
          </select></p>

                <p>Биография:<br>
                    <textarea name="bio" rows="6" cols="50"></textarea></p>

                <p><input type="checkbox" name="contract" value="agree" checked>С <a href=""><em>контрактом</em></a> ознакомлен
                </p>
            </form>
            <p><input type="submit" value="Отправить"></p>
        </div>
    </div>
    <footer class="footer" id="footer">
        <div class="footer__text">
            (c) Дмитрий Васильев
        </div>
    </footer>
</body>
</html>